// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
        using System;
    using System.Collections.Generic;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
	
	[RequiresSkill(typeof(AdvancedSmeltingSkill), 2)]
    public class TailingReprocessingRecipe :
        RecipeFamily
    {
        public TailingReprocessingRecipe()
        {
            this.Initialize(Localizer.DoStr("Tailing Reprocessing"), typeof(TailingReprocessingRecipe));
            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "Tailing",
                    Localizer.DoStr("Tailing"),
                    new IngredientElement[]
                    {
                        new IngredientElement(typeof(TailingsItem), 5, true),   
                    },
                    new CraftingElement[]
                    {
                        new CraftingElement<TailingsItem>(3),
                        new CraftingElement<SandItem>(1.2f),
                        new CraftingElement<CrushedSandstoneItem>(0.5f),
                        new CraftingElement<IronConcentrateItem>(0.3f),   
                    }
                )
            };
            this.LaborInCalories = CreateLaborInCaloriesValue(150);
            this.ExperienceOnCraft = 0;
            this.CraftMinutes = CreateCraftTimeValue(typeof(TailingReprocessingRecipe), this.UILink(), 2.4f, typeof(MiningSkill)); 
            CraftingComponent.AddRecipe(typeof(ScreeningMachineObject), this);
        }
    }
}
